List Deliverables
curl --request GET \
--url https://api.example.com/api/v1/deliverables \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/deliverables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/deliverables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Files
List Deliverables
List all files for the current user — the unified ‘My Files’ view.
Returns approved and delivered items with full task context, artifact metadata, and download capability. This replaces the need to navigate back to individual tasks to access purchased content.
GET
/
api
/
v1
/
deliverables
List Deliverables
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by delivery status: delivered, approved
Filter by task category
Sort order: newest, oldest, rating
Items per page
Required range:
1 <= x <= 50Pagination offset
Required range:
x >= 0Response
Successful Response
Was this page helpful?